# MultipleIterator::valid

(PHP 5 >= 5.3.0, PHP 7)

MultipleIterator::valid — Checks the validity of sub iterators

### Description

public MultipleIterator::valid ( void ) : bool

Checks the validity of sub iterators.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if one or all sub iterators are valid depending on flags, otherwise `FALSE`

### See Also

- MultipleIterator::__construct() - Constructs a new MultipleIterator